import React from 'react'
import { View, Text, ListView, RefreshControl, TouchableOpacity } from 'react-native'

const ds = new ListView.DataSource({
    rowHasChanged: (r1, r2) => {
        return r1.name != r2.name
    }
})

export default ItemsPage = ({ dev, show, list, refresh, getList, backPage }) => {
    if (!show) return null
    console.log('Items')
    return (
        <View style={{ flex: 1 }}>
            <View style={{
                height: 25,
                marginTop: 5,
                marginLeft: 10,
                marginRight: 10,
                marginBottom: 5
            }}>
                <TouchableOpacity onPress={() => backPage()}>
                    <Text style={{fontSize: 20}}>&lt;&lt;Back</Text>
                </TouchableOpacity>
            </View>
            <ListView
                refreshControl={<RefreshControl refreshing={refresh} onRefresh={getList} />}
                enableEmptySections={true}
                dataSource={ds.cloneWithRows(list)}
                renderRow={data => {
                    return (
                        <Text>{data.name} / {data.price}</Text>
                    )
                }} />
        </View>
    )
}