import React from 'react'
import {View, Text, ListView, RefreshControl} from 'react-native'

import Item from './Item'

const ds1 = new ListView.DataSource({
  rowHasChanged: (r1, r2) => {
    return r1.name != r2.name
  }
})

export default StoreList = ({dev, show, list, refresh, getList, loadItems}) => {
  if(!show) return null
  console.log('Store', list)
  return (
    <View style={{flex: 1}}>
      <ListView
        refreshControl={<RefreshControl refreshing={refresh} onRefresh={getList} />}
        enableEmptySections={true}
        dataSource={ds1.cloneWithRows(list)}
        renderRow={data => {
          return (
            <Item name={data.name} onClick={()=>loadItems(data.id)} />
          )
        }} />
    </View>
  )
}